Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.core.util
Interface InternalRegistryElement

All Superinterfaces:
  Comparable<ECPElement>, ECPDisposable, ECPElement

All Known Subinterfaces:
  InternalDescriptor<ELEMENT>, InternalProvider, InternalRepository, UIProvider

All Known Implementing Classes:
  CDOProvider, CDOUIProvider, DefaultProvider, DefaultUIProvider, ECPRepositoryImpl, ElementDescriptor, EMFStoreProvider, EMFStoreUIProvider, ExtensionParser.ExtensionDescriptor, WorkspaceProvider, WorkspaceUIProvider

    public interface InternalRegistryElement

extends ECPElement, ECPDisposable

Since:
  1.1
Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Method Summary
`String` | `getDescription()` Return the description.
`String` | `getLabel()` Returns the label.
`void` | `setDescription(String description)` Sets the description.
`void` | `setLabel(String label)` Sets the label.

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`addDisposeListener, dispose, isDisposed, removeDisposeListener`

Method Detail

### getLabel

    String getLabel()

  Returns the label.

  Returns:
    the label

### getDescription

    String getDescription()

  Return the description.

  Returns:
    the description

### setLabel

    void setLabel(String label)

  Sets the label.

  Parameters:
    `label` - the Label to set

### setDescription

    void setDescription(String description)

  Sets the description.

  Parameters:
    `description` - the Description to set

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.